Skip to navigation

Download image file by ID

View as Markdown

Downloads the actual image file content. Returns the image with appropriate Content-Type header. The imageId is an MD5 hash (32 character hex string) of the image content. Images are stored per customer, so the same image can be downloaded using any chainId for that customer.

Example Request:

GET /images/v1/chain/1/7af0a3950a162be27488d0c1f292f9ab

Response Headers:

  • Content-Type - The MIME type of the image (e.g., image/webp, image/jpeg, image/png)

Path parameters

chainintegerRequired
The ID of the chain
idstringRequired

The image ID (MD5 hash, 32 character hex string)

Response

Image file returned successfully with appropriate Content-Type header

Errors

404
Not Found Error